<?php
declare(strict_types=1);

namespace App\Entity\Remote\Usetreno\Edge;

/* Bohuzel jsem se nedozvedel z API co je optional a co je required. Tudiz jsem vychazel z toho ze vsechno je required az na EdgeQRCodeMoney.*
    ktery uz z principu veci by mel byt optional (cizi staty nepodporuji variable, constant, specific...)
 */
readonly class EdgeQRCode {
    public function __construct(
        public string $iban,
        public string $dueDate,
        public string $message,
        public EdgeQRCodeMoney $money,
        public EdgeQRCodeQROptions $qrOptions,
        public EdgeQRCodePaymentIdentification $paymentIdentification)
    { }
}
